include $(TOPDIR)/rules.mk

PKG_NAME:=linux-pam
PKG_VERSION:=1.7.0
PKG_RELEASE:=1

PKG_SOURCE_PROTO:=git
PKG_SOURCE_URL:=https://github.com/linux-pam/linux-pam.git
PKG_SOURCE_VERSION:=v$(PKG_VERSION)
PKG_MIRROR_HASH:=skip

include $(INCLUDE_DIR)/package.mk
include $(INCLUDE_DIR)/meson.mk

define Package/linux-pam
  SECTION:=libs
  CATEGORY:=Libraries
  TITLE:=Linux PAM Module
  DEPENDS:=+libpam
endef

MESON_ARGS += \
	-Dprefix=/usr \
	-Ddefault_library=shared \
	-Ddocs=disabled \
	-Deconf=disabled \
	-Dselinux=disabled \
	-Dnis=disabled \
	-Dexamples=false \
	-Dxtests=false

define Package/linux-pam/install
	$(INSTALL_DIR) $(1)/usr/lib/security
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) ./linux_pam.init $(1)/etc/init.d/linux_pam
endef

$(eval $(call BuildPackage,linux-pam))
